Table of Contents

## Name

neomagic - Neomagic video driver

## Synopsis

    Section "Device"
      Identifier "devname"
      Driver "neomagic"
      ...
    EndSection

## Description

neomagic is an XFree86 driver for the Neomagic graphics chipsets found in many laptop computers.

## Supported Hardware

neomagic supports the following chipsets:

MagicGraph 128 (NM2070)
MagicGraph 128V (NM2090)
MagicGraph 128ZV (NM2093)
MagicGraph 128ZV+ (NM2097)
MagicGraph 128XD (NM2160)
MagicGraph 256AV (NM2200)
MagicGraph 256AV+ (NM2230)
MagicGraph 256ZX (NM2360)
MagicGraph 256XL+ (NM2380)

The driver supports depths 8, 15, 16 and 24 for all chipsets except the NM2070 which does not support depth 24. All depths are accelerated except for depth 24 which is only accelerated on NM2200 and newer models. All visuals are supported in depth 8. TrueColor and DirectColor visuals are supported in the other depths.

## Configuration Details

Please refer to XF86Config(5) for general configuration details. This section only covers configuration details specific to this driver.

The following driver Options are supported

Option "NoAccel" "boolean"
  Disable or enable acceleration. Default: acceleration is enabled.
Option "SWCursor" "boolean"
  Disable or enable software cursor. Default: software cursor is disable and a hardware cursor is used.
Option "PCIBurst" "boolean"
  Disable or enable PCI burst modes. Default: enabled.
Option "Rotate" "CW"
Option "Rotate" "CCW"
  Rotate the display clockwise or counterclockwise. This mode is unaccelerated. Default: no rotation.
Option "ShadowFB" "boolean"
  Enable or disable use of the shadow framebuffer layer. Default: off.
Option "OverlayMem" "integer"
  Reserve the given amount of memory (in bytes) for the XVideo overlay. On boards with limited memory, display of large XVideo buffers might fail due to insufficient available memory. Using this option solves the problem at the expense of reducing the memory available for other operations. For full-resolution DVDs, 829440 bytes (720x576x2) are necessary.

Note
On some laptops using the 2160 chipset (MagicGraph 128XD) the following options are needed to avoid a lock-up of the graphic engine:

        Option "XaaNoScanlineImageWriteRect"
        Option "XaaNoScanlineCPUToScreenColorExpandFill"

## See Also

XFree86(1) , XF86Config(5) , xf86config(1) , Xserver(1) , X(7)

## Authors

Authors include: Jens Owen, Kevin E. Martin, and also Egbert Eich, Mark Vojkovich, Alan Hourihane.

Table of Contents

- Name
- Synopsis
- Description
- Supported Hardware
- Configuration Details
- See Also
- Authors